# Visual3d_LayerDefinitionError.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Visual3d_LayerDefinitionError.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Standard_OutOfRange.hxx>`

## Defines

#define | Visual3d_LayerDefinitionError_Raise_if(CONDITION, MESSAGE) if (CONDITION) Visual3d_LayerDefinitionError::Raise(MESSAGE);

## Define Documentation

#define Visual3d_LayerDefinitionError_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) Visual3d_LayerDefinitionError::Raise(MESSAGE);